Bug 135896 - [PATCH] textproc/xerces-c2: mark MAKE_JOBS_UNSAFE
Summary: [PATCH] textproc/xerces-c2: mark MAKE_JOBS_UNSAFE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-21 21:20 UTC by Dmitry Marakasov
Modified: 2009-07-07 01:30 UTC (History)
1 user (show)

See Also:


Attachments
xerces-c2-2.7.0_1.patch (490 bytes, patch)
2009-06-21 21:20 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2009-06-21 21:20:06 UTC
Maek MAKE_JOBS_UNSAFE. This fails with forced MAKE_JOBS.

Port maintainer (kenm@icarz.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2009-06-21 21:20:19 UTC
Maintainer of textproc/xerces-c2,

Please note that PR ports/135896 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135896

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-06-21 21:20:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2009-06-21 21:51:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov 2009-06-21 22:24:45 UTC
Updated patch, also fix build with custom PREFIX/LOCALBASE.

--- xerces-c2.diff begins here ---
Index: Makefile
===================================================================
RCS file: /home/amdmi3/projects/freebsd/FreeBSD.cvs/ports/textproc/xerces-c2/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- Makefile	6 Sep 2008 01:10:09 -0000	1.25
+++ Makefile	21 Jun 2009 21:00:30 -0000
@@ -75,6 +75,7 @@
 
 USE_GMAKE=		yes
 MAKE_ENV+=		XERCESCROOT=${WRKSRC}
+MAKE_JOBS_UNSAFE=	yes
 
 HAS_CONFIGURE=		yes
 CONFIGURE_ENV+=		XERCESCROOT=${WRKSRC} TRANSCODER=${TRANSCODER}
@@ -138,6 +139,9 @@
 post-patch:
 	@${REINPLACE_CMD} -e 's#CP = -cp -p#CP = -cp#'	\
 		${WRKSRC}/src/xercesc/Makefile.incl
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/src/xercesc/Makefile.incl \
+		${WRKSRC}/src/xercesc/runConfigure
 
 pre-configure:
 	@${CHMOD} 700 ${CONFIGURE_WRKSRC}/runConfigure
--- xerces-c2.diff ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Dmitry Marakasov freebsd_committer 2009-07-07 01:22:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2009-07-07 01:22:15 UTC
amdmi3      2009-07-07 00:22:05 UTC

  FreeBSD ports repository

  Modified files:
    textproc/xerces-c2   Makefile 
  Log:
  - Mark MAKE_JOBS_UNSAFE
  - Respect custom LOCALBASE
  
  PR:             135896
  Submitted by:   myself
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.26      +4 -0      ports/textproc/xerces-c2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"